% Creates synthetic data 
addpath(genpath('.'))
datadir = '../experiments/synth/data/';

n = 700;
m = 500;
l = 300;
o = 60;

addNoise = 0.05:0.05:0.5;
desNoise = 0.05:0.05:0.5;

k = 7;
d = 0.15;
defAddNoise = 0.1;
defDesNoise = 0.1;

iters = 5;

    
%% additive Noise
dnoise = defDesNoise;

for anoise=addNoise
    fprintf('anoise = %.2f\n', anoise);
    write_tensors(datadir, 'overfitting', n, m, l, k, d, dnoise, anoise, iters);
end

%% destructive Noise
anoise = defAddNoise;

for dnoise=desNoise
    fprintf('dnoise = %.2f\n', dnoise);
    write_tensors(datadir, 'overfitting', n, m, l, k, d, dnoise, anoise, iters);
end

%% both types of Noise
for noise=desNoise
    fprintf('noise = %.2f\n', noise);
    write_tensors(datadir, 'overfitting', n, m, l, k, d, noise, noise, iters);
end

        
